/**
 * \file
 *
 * \brief Empty user application template
 *
 */

/**
 * \mainpage User Application template doxygen documentation
 *
 * \par Empty user application template
 *
 * Bare minimum empty user application template
 *
 * \par Content
 *
 * -# Include the ASF header files (through asf.h)
 * -# Minimal main function that starts with a call to system_init()
 * -# "Insert application code here" comment
 *
 */

/*
 * Include header files for all drivers that have been imported from
 * Atmel Software Framework (ASF).
 */
/*
 * Support and FAQ: visit <a href="https://www.microchip.com/support/">Microchip Support</a>
 */
#include <asf.h>

void board_init(void)
{
	struct port_config pin_conf;

	port_get_config_defaults(&pin_conf);

	// Set the direction of pin 14 as output.
	pin_conf.direction  = PORT_PIN_DIR_OUTPUT;
	port_pin_set_config(PIN_PA14, &pin_conf);
	port_pin_set_output_level(PIN_PA14, LOW);

	// Set the direction of pin 15 as input and pulled down by default.
	pin_conf.direction  = PORT_PIN_DIR_INPUT;
	pin_conf.input_pull = PORT_PIN_PULL_DOWN;
	port_pin_set_config(PIN_PA15, &pin_conf);
}


int main (void)
{
	system_init();

	board_init();
	
	port_pin_set_output_level(PIN_PA14, HIGH);
	delay_ms(2000);
	port_pin_set_output_level(PIN_PA14, LOW);
	delay_ms(2000);
		

	while (1) {
		
		bool button_pin_state = port_pin_get_input_level(PIN_PA15);
		if (button_pin_state == 1){
			port_pin_set_output_level(PIN_PA14, HIGH);
		}
		else{
			port_pin_set_output_level(PIN_PA14, LOW);
		}
			
		
	}
	
}